<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMEQLCTGSSEditViewBase from './emeqlctgssedit-view-base.vue';

import view_form from '@widgets/emeqlctgss/main2-form/main2-form.vue';

/**
 * 钢丝绳位置
 *
 * @export
 * @class EMEQLCTGSSEditView
 * @extends {EMEQLCTGSSEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMEQLCTGSSEditView extends EMEQLCTGSSEditViewBase { }
</script>